package com.mdd.admin.vo.decorate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("装修文章数据Vo")
public class DecorateDataArticleVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("文章标题")
   private String title;
   @ApiModelProperty("文章简介")
   private String intro;
   @ApiModelProperty("文章描述")
   private String summary;
   @ApiModelProperty("文章图片")
   private String image;
   @ApiModelProperty("文章作者")
   private String author;
   @ApiModelProperty("浏览数量")
   private Integer visit;
   @ApiModelProperty("创建时间")
   private String createTime;

   public Integer getId() {
      return this.id;
   }

   public String getTitle() {
      return this.title;
   }

   public String getIntro() {
      return this.intro;
   }

   public String getSummary() {
      return this.summary;
   }

   public String getImage() {
      return this.image;
   }

   public String getAuthor() {
      return this.author;
   }

   public Integer getVisit() {
      return this.visit;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setTitle(String title) {
      this.title = title;
   }

   public void setIntro(String intro) {
      this.intro = intro;
   }

   public void setSummary(String summary) {
      this.summary = summary;
   }

   public void setImage(String image) {
      this.image = image;
   }

   public void setAuthor(String author) {
      this.author = author;
   }

   public void setVisit(Integer visit) {
      this.visit = visit;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecorateDataArticleVo)) {
         return false;
      } else {
         DecorateDataArticleVo other = (DecorateDataArticleVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label107: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label107;
                  }
               } else if (this$id.equals(other$id)) {
                  break label107;
               }

               return false;
            }

            Object this$visit = this.getVisit();
            Object other$visit = other.getVisit();
            if (this$visit == null) {
               if (other$visit != null) {
                  return false;
               }
            } else if (!this$visit.equals(other$visit)) {
               return false;
            }

            Object this$title = this.getTitle();
            Object other$title = other.getTitle();
            if (this$title == null) {
               if (other$title != null) {
                  return false;
               }
            } else if (!this$title.equals(other$title)) {
               return false;
            }

            label86: {
               Object this$intro = this.getIntro();
               Object other$intro = other.getIntro();
               if (this$intro == null) {
                  if (other$intro == null) {
                     break label86;
                  }
               } else if (this$intro.equals(other$intro)) {
                  break label86;
               }

               return false;
            }

            label79: {
               Object this$summary = this.getSummary();
               Object other$summary = other.getSummary();
               if (this$summary == null) {
                  if (other$summary == null) {
                     break label79;
                  }
               } else if (this$summary.equals(other$summary)) {
                  break label79;
               }

               return false;
            }

            label72: {
               Object this$image = this.getImage();
               Object other$image = other.getImage();
               if (this$image == null) {
                  if (other$image == null) {
                     break label72;
                  }
               } else if (this$image.equals(other$image)) {
                  break label72;
               }

               return false;
            }

            Object this$author = this.getAuthor();
            Object other$author = other.getAuthor();
            if (this$author == null) {
               if (other$author != null) {
                  return false;
               }
            } else if (!this$author.equals(other$author)) {
               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecorateDataArticleVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $visit = this.getVisit();
      result = result * 59 + ($visit == null ? 43 : $visit.hashCode());
      Object $title = this.getTitle();
      result = result * 59 + ($title == null ? 43 : $title.hashCode());
      Object $intro = this.getIntro();
      result = result * 59 + ($intro == null ? 43 : $intro.hashCode());
      Object $summary = this.getSummary();
      result = result * 59 + ($summary == null ? 43 : $summary.hashCode());
      Object $image = this.getImage();
      result = result * 59 + ($image == null ? 43 : $image.hashCode());
      Object $author = this.getAuthor();
      result = result * 59 + ($author == null ? 43 : $author.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      return result;
   }

   public String toString() {
      return "DecorateDataArticleVo(id=" + this.getId() + ", title=" + this.getTitle() + ", intro=" + this.getIntro() + ", summary=" + this.getSummary() + ", image=" + this.getImage() + ", author=" + this.getAuthor() + ", visit=" + this.getVisit() + ", createTime=" + this.getCreateTime() + ")";
   }
}
